Subject: bug#20373: automake 1.15 overwriting custom INSTALL file (fixed, not a bug)

From: Emil <[email-masked]>
Date: Mon, 20 Apr 2015 02:13:08 +0300

Hi again,

I just realized this is actually not a bug, and was simply caused by the
-f option passed to autoreconf.

Autoreconf seems to forward it to automake as the --force-missing option,
which, according to the manual, "force[s] update of standard files".

Autoreconf's man entry for -f simply states that it will "consider all
files obsolete", which for me wasn't very clear about its implications,
so I couldn't link it to the unwanted behavior I was experiencing.

More info: http://unix.stackexchange.com/a/197327/103132

Cheers, Emil Laine <[email-masked]>